[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: apt-get error?

On Tue, Jul 01, 2003 at 09:31:15AM +0530, Sridhar M.A. wrote:
> Today I noticed a starnge (to me) behaviour of apt-get. I am running a
> predominantly sarge system with the latest xpdf installed. For some
> reason I downloaded the deb sources of the same and installed it. 
> But, when I do an apt-get upgrade, it is downloading the version from
> testing and installing the same version. Is this the expected behaviour?

Yes, it is. You need to change the package's version number
(conventionally by adding 0.0.1 or similar) in debian/changelog to
prevent apt from spotting that the package's size and md5sum don't match
those in the archive and installing the archive's version.


Colin Watson                                  [cjwatson@flatline.org.uk]

Reply to: